# encoding: utf-8
from __future__ import unicode_literals
from __future__ import absolute_import

from spyne.model.complex import Array, ComplexModel
from spyne.model.primitive import (
    Boolean,
    DateTime,
    Integer,
    Unicode,
)


class ChangesList(ComplexModel):
    __type_name__ = 'changesList'

    _type_info = [
        ('creationDate', Boolean),
        ('prefDate', Boolean),
        ('fullname', Boolean),
        ('birthdate', Boolean),
        ('privilege', Boolean),
        ('healthGroup', Boolean),
        ('healthProblem', Boolean),
        ('prefDou', Boolean),
        ('mo', Boolean),
        ('document', Boolean),
        ('SNILS', Boolean),
        ('otherVariants', Boolean),
        ('accceptCareGroup', Boolean),
        ('acceptShorttermGroup', Boolean),
        ('address', Boolean),
        ('other', Boolean),
    ]

    class Annotations(ComplexModel.Annotations):
        doc = (
            'Информация об изменениях в заявлении'
            'произошедших с момента последней смены статуса.')


class StatusChange(ComplexModel):
    __type_name__ = 'statusChange'

    _type_info = [
        ('id', Integer),
        ('declarationID', Integer),
        ('changeDate', DateTime),
        ('statusID', Integer),
        ('douID', Integer),
        ('changesList', ChangesList),
    ]

    class Annotations(ComplexModel.Annotations):
        doc = 'Контейнер, содержащий изменения статусов заявлений.'


class Root(ComplexModel):
    __type_name__ = 'AppData'

    statusChanges = Array(StatusChange)
