# coding: utf-8
from __future__ import unicode_literals
from __future__ import absolute_import

from spyne.model.complex import Array, ComplexModel
from spyne.model.primitive import (
    Boolean,
    Date,
    DateTime,
    Integer,
    String,
    Unicode,
)

from edu_to_analytics.service.types import GetIndexResponse


class GetDouInfoResponse(GetIndexResponse):
    __type_name__ = 'GetDouInfoResponse'

    class Annotations(ComplexModel.Annotations):
        doc = u'Ответ на запрос GetDouInfoRequest'


class GetDouListResponse(GetIndexResponse):
    __type_name__ = 'GetDouListResponse'

    class Annotations(ComplexModel.Annotations):
        doc = u'Ответ на запрос GetDouListRequest'


class Address(ComplexModel):
    _type_info = [
        ('locality', Unicode),
        ('street', Unicode),
        ('house', Unicode),
        ('building', Unicode),
    ]

    class Annotations(ComplexModel.Annotations):
        doc = u'Контейнер, содержащий адрес.'
